<?php

namespace Commands;

use Core\BaseCommand;
use Core\BaseModel;

class Migrate extends BaseCommand
{

    public $name = 'db:migrate';
    public $description = 'Run tables migration for the database';

    public function run($args)
    {
        $this->info("Running migration...\n");

        // Check if has migration table
        BaseModel::checkMigrationTable();

        // Initialize all models
        $models = glob(dirname(__FILE__) . '/../Models/*.php');
        foreach ($models as $model) {
            $model = explode('/', $model);
            $model = end($model);
            $model = explode('.', $model);
            $model = $model[0];
            $model = '\\Models\\' . $model;
            $model = new $model();
            $model->initialize();
        }

        $this->info("Migration done.\n");
    }
}
