<?php
namespace Commands;

use Core\App;

class Optimize extends \Core\BaseCommand {

    public $name = 'optimize';
    public $description = 'Optimize the application by clearing the route,config cache';

    public function run($args) {

        // Clear config cache
        (new configClear())->run($args);

        // Clear route cache
        (new routeClear())->run($args);

        // Dump autoload
        $this->dumpAutoload();
        
    }

    public function dumpAutoload() {
        $this->info('Dumping autoload file...');
        exec('composer dump-autoload');
        $this->info('Autoload files dumped successfully.');
    }
}