<?php
namespace Commands;

use Core\BaseCommand;

class Serve extends BaseCommand
{

    public $name = 'serve';
    public $description = 'Start a local server';
    public $arguments = [
        [
            'name' => 'address',
            'description' => 'Address to bind to (default: localhost:8000)'
        ]
    ];

    public function run($args)
    {
        $address = $args[0] ?? 'localhost:8000';

        $this->info("Starting local server...");
        $this->info("Press Ctrl+C to stop.");
        $this->info("Server started at http://{$address}");
        
        passthru("php -S {$address} -t public");
    }
}