<?php
namespace Core;

class BaseCommand {

    public $name = '';
    public $description = '';
    public $arguments = [];

    public function showHelp() {
        echo '    ' . $this->name . ' - ' . $this->description . PHP_EOL;
        echo '    Usage: php cli.php ' . $this->name . ' [arguments]' . PHP_EOL;
        echo '    Arguments:' . PHP_EOL;
        foreach($this->arguments as $argument) {
            echo '        ' . $argument['name'] . ' - ' . $argument['description'] . PHP_EOL;
        }

        echo PHP_EOL;
    }

    public function run($args) {
        echo 'Command not implemented' . PHP_EOL;
    }

    /**
     * Display an info message
     * 
     * @param string $message
     * @return void
     */
    public function info($message) {
        echo '    ' . $message . PHP_EOL;
    }
}