<?php
namespace Core;

class Database extends \PDO {

    private static $instance = null;

    public function __construct() {
        $config = Config::get('database', [
            "driver" => "mysql",
            "host" => "localhost",
            "port" => 3306,
            "database" => "database",
            "username" => "root",
            "password" => ""
        ]);
        $dsn = $config['driver'] . ':host=' . $config['host'] . ';port=' . $config['port'] . ';dbname=' . $config['database'] . ';charset=utf8mb4';
        parent::__construct($dsn, $config['username'], $config['password']);

        Logger::debug('Database connection established');
    }

    /**
     * @return Database
     */
    public static function getInstance() {
        if(self::$instance == null)
            self::$instance = new self();
            
        return self::$instance;
    }
}