<?php

namespace Core;

class MailTemplate {

    public $subject;
    public $from;
    public $from_name;
    public $to;
    public $cc;
    public $bcc;
    public $replyTo;
    public $replyTo_name;
    public $attachments;

    public function send() {
        return Mail::send($this);
    }

    public function subject($subject) {
        $this->subject = $subject;
        return $this;
    }

    public function to($to) {
        $this->to = $to;
        return $this;
    }

    public function cc($cc) {
        $this->cc = $cc;
        return $this;
    }

    public function bcc($bcc) {
        $this->bcc = $bcc;
        return $this;
    }

    public function from($from) {
        $this->from = $from;
        return $this;
    }

    public function fromName($fromName) {
        $this->from_name = $fromName;
        return $this;
    }

    public function replyTo($replyTo) {
        $this->replyTo = $replyTo;
        return $this;
    }

    public function replyToName($replyToName) {
        $this->replyTo_name = $replyToName;
        return $this;
    }

    public function attachments($attachments) {
        $this->attachments = $attachments;
        return $this;
    }

    public function html() {
        return View::mail("mail/template", []);
    }

    public function text() {
        return "";
    }

    public function body() {
        $html = $this->html();

        if(empty($html)) {
            return $this->text();
        }

        return $html;
    }

    public function buildTemplate($html = true) {
        $content = "";

        ob_start();
        $this->extractVars();
        if($html === true) {
            echo $this->html();
        } else {
            echo $this->text();
        }
        $content = ob_get_clean();

        return $content;
    }

    public function __toString() {
        return $this->html();
    }

    public function extractVars() {
        return extract(get_object_vars($this), EXTR_PREFIX_ALL, "mail_");
    }
}