<?php
namespace Middlewares;

use Core\Auth;
use Core\BaseMiddleware;
use Core\Request;

class AuthMiddleware extends BaseMiddleware
{
    public function handle(Request $request)
    {
        if(!Auth::check()) {
            $request->flash('errors', [
                'login' => __('not_logged_in')
            ]);
            
            return redirect(route('login.index'));
        }

        $user = Auth::user();
        $user->last_online = date('Y-m-d H:i:s');
        $user->save();

        return $this->next();
    }
}