<?php
namespace Models;

use Core\BaseModel;

class Memory extends BaseModel {

    protected $version = '1.0.0';

    public static function add(array $keywords, string $content, $user = null) {
        $keywords = implode(',', $keywords);
        $content = strtolower($content);

        $memory = new self();
        $memory->keywords = $keywords;
        $memory->content = $content;
        $memory->user = $user;
        $memory->save();

        return $memory;
    }

    public static function search(array $keywords) {

        $memory = new self();

        foreach ($keywords as $keyword) {
            $memory->orWhere('keywords', 'like', "%$keyword%");
        }

        $memory->orderBy('id', 'desc');
        $result = $memory->get();
        
        return $result->map(function($item) {
            return $item->toArray();
        })->toArray();
    }

    // Install the Memory table
    public function install($fields) {

        $fields = array_merge($fields, [
            [
                'name' => 'keywords',
                'type' => 'varchar',
                'length' => 255,
                'null' => false,
                'index' => true
            ],
            [
                'name' => 'content',
                'type' => 'text',
                'null' => false
            ],
            [
                'name' => 'user',
                'type' => 'varchar',
                'length' => 255,
                'null' => true,
            ],
        ]);

        parent::install($fields);
    }
}