<?php
use Core\View;

// On définit le layout à utiliser
View::layout("layouts.master");
// On définit le titre de la page (afficher dans le layout à l'emplacement "title")
View::set('title',  __('login'));
?>

<!-- On définit le contenu de la page (afficher dans le layout à l'emplacement "content") -->
<?php View::start("main"); ?>

    <form method="post" action="<?= route('login.index'); ?>" class="w-full max-w-sm mx-auto mt-10">
        <div class="md:flex md:items-center mb-6">
            <div class="md:w-1/3">
                <label for="email" class="block text-gray-500 font-bold md:text-right mb-1 md:mb-0 pr-4">
                    <?= __('email'); ?>
                </label>
            </div>
            <div class="md:w-2/3">
                <input type="email" name="email" id="email" value="<?= old('email'); ?>" class="bg-gray-200 appearance-none border-2 border-gray-200 rounded w-full py-2 px-4 text-gray-700 leading-tight focus:outline-none focus:bg-white focus:border-blue-500 <?= error('email') ? 'border-red-500' : ''; ?>" placeholder="<?= __('email'); ?>">
                <?php if(error('email')): ?>
                    <p class="text-red-500 text-xs italic"><?= error('email'); ?></p>
                <?php endif; ?>
            </div>
        </div>
        <div class="md:flex md:items-center mb-6">
            <div class="md:w-1/3">
                <label for="password" class="block text-gray-500 font-bold md:text-right mb-1 md:mb-0 pr-4">
                    <?= __('password'); ?>
                </label>
            </div>
            <div class="md:w-2/3">
                <input type="password" name="password" id="password" class="bg-gray-200 appearance-none border-2 border-gray-200 rounded w-full py-2 px-4 text-gray-700 leading-tight focus:outline-none focus:bg-white focus:border-blue-500 <?= error('password') ? 'border-red-500' : ''; ?>" placeholder="<?= __('password'); ?>">
                <?php if(error('password')): ?>
                    <p class="text-red-500 text-xs italic"><?= error('password'); ?></p>
                <?php endif; ?>
            </div>
        </div>
        <div class="md:flex md:items-center mb-6">
            <div class="md:w-1/3"></div>
            <label class="md:w-2/3 block text-gray-500 font-bold">
                <input class="mr-2 leading-tight" type="checkbox" name="remember" id="remember" <?= old('remember') ? 'checked' : ''; ?>>
                <span class="text-sm">
                    <?= __('remember_me'); ?>
                </span>
            </label>
        </div>
        <div class="md:flex md:items-center">
            <!-- Register or Login -->
            <div class="md:w-1/3"></div>
            <div class="md:w-2/3">
                <button type="submit" class="shadow bg-blue-500 hover:bg-blue-400 focus:shadow-outline focus:outline-none text-white font-bold py-2 px-4 rounded">
                    <?= __('login'); ?>
                </button>

                <a href="<?= route('register.index'); ?>" class="inline-block align-baseline font-bold text-sm text-blue-500 hover:text-blue-800">
                    <?= __('register'); ?>
                </a>
            </div>
        </div>
    </form>
    

<?php View::end(); ?>