<?php
use Core\View;

// On définit le layout à utiliser
View::layout("layouts.master");
// On définit le titre de la page (afficher dans le layout à l'emplacement "title")
View::set('title',  __('register'));
?>

<?php View::start("main"); ?>
    <!-- Step 1 : On pose des questions sur Thommy pour s'assurer si on est autorisé à créer un compte -->
    <!-- Question 1: Quel est sa date de naissance  -->
    <!-- Question 2: Quel est son nom de famille -->
    <!-- Question 3: Quel est son prénom -->
    <!-- Question 4: Quel est son prénom selon l'état civil -->
    <!-- Question 5: Qui est son premier chien -->
    <!-- Question 6: Qui est son premier amour -->
    <!-- Question 7: Quel est son plat préféré -->
    <!-- Question 8: Quel est son film préféré -->
    <!-- Question 9: Qui est son frère jumeau -->

    <!-- Explication -->
    <div class="text-center">
        <h1 class="text-3xl mb-2"><?= __('register'); ?></h1>
        <p class="text-gray-500 mb-2"><?= __('register_step'.$step.'_explanation'); ?></p>
    </div>

    <!-- Form -->
    <form method="post" action="<?= route('register.post'); ?>" class="w-full max-w-sm mx-auto mt-10">
        <input type="hidden" name="step" value="<?= $step; ?>">
        <div class="md:flex md:items-center mb-6">
            <div class="md:w-1/3">
                <label for="date_naissance" class="block text-gray-500 font-bold md:text-right mb-1 md:mb-0 pr-4">
                    <?= __('date_naissance'); ?>
                </label>
            </div>
            <div class="md:w-2/3">
                <input type="date" name="date_naissance" id="date_naissance" value="<?= old('date_naissance'); ?>" class="bg-gray-200 appearance-none border-2 border-gray-200 rounded w-full py-2 px-4 text-gray-700 leading-tight focus:outline-none focus:bg-white <?= error('date_naissance') ? 'border-red-500' : ''; ?>" placeholder="<?= __('date_naissance'); ?>">
                <?php if(error('date_naissance')): ?>
                    <p class="text-red-500 text-xs italic"><?= error('date_naissance'); ?></p>
                <?php endif; ?>
            </div>
        </div>
        <div class="md:flex md:items-center mb-6">
            <div class="md:w-1/3">
                <label for="nom" class="block text-gray-500 font-bold md:text-right mb-1 md:mb-0 pr-4">
                    <?= __('nom'); ?>
                </label>
            </div>
            <div class="md:w-2/3">
                <input type="text" name="nom" id="nom" value="<?= old('nom'); ?>" class="bg-gray-200 appearance-none border-2 border-gray-200 rounded w-full py-2 px-4 text-gray-700 leading-tight focus:outline-none focus:bg-white <?= error('nom') ? 'border-red-500' : ''; ?>" placeholder="<?= __('nom'); ?>">
                <?php if(error('nom')): ?>
                    <p class="text-red-500 text-xs italic"><?= error('nom'); ?></p>
                <?php endif; ?>
            </div>
        </div>
        <div class="md:flex md:items-center mb-6">
            <div class="md:w-1/3">
                <label for="prenom" class="block text-gray-500 font-bold md:text-right mb-1 md:mb-0 pr-4">
                    <?= __('prenom'); ?>
                </label>
            </div>
            <div class="md:w-2/3">
                <input type="text" name="prenom" id="prenom" value="<?= old('prenom'); ?>" class="bg-gray-200 appearance-none border-2 border-gray-200 rounded w-full py-2 px-4 text-gray-700 leading-tight focus:outline-none focus:bg-white <?= error('prenom') ? 'border-red-500' : ''; ?>" placeholder="<?= __('prenom'); ?>">
                <?php if(error('prenom')): ?>
                    <p class="text-red-500 text-xs italic"><?= error('prenom'); ?></p>
                <?php endif; ?>
            </div>
        </div>
        <div class="md:flex md:items-center mb-6">
            <div class="md:w-1/3">
                <label for="prenom_etat_civil" class="block text-gray-500 font-bold md:text-right mb-1 md:mb-0 pr-4">
                    <?= __('prenom_etat_civil'); ?>
                </label>
            </div>
            <div class="md:w-2/3">
                <input type="text" name="prenom_etat_civil" id="prenom_etat_civil" value="<?= old('prenom_etat_civil'); ?>" class="bg-gray-200 appearance-none border-2 border-gray-200 rounded w-full py-2 px-4 text-gray-700 leading-tight focus:outline-none focus:bg-white <?= error('prenom_etat_civil') ? 'border-red-500' : ''; ?>" placeholder="<?= __('prenom_etat_civil'); ?>">
                <?php if(error('prenom_etat_civil')): ?>
                    <p class="text-red-500 text-xs italic"><?= error('prenom_etat_civil'); ?></p>
                <?php endif; ?>
            </div>
        </div>
        <div class="md:flex md:items-center mb-6">
            <div class="md:w-1/3">
                <label for="premier_chien" class="block text-gray-500 font-bold md:text-right mb-1 md:mb-0 pr-4">
                    <?= __('premier_chien'); ?>
                </label>
            </div>
            <div class="md:w-2/3">
                <input type="text" name="premier_chien" id="premier_chien" value="<?= old('premier_chien'); ?>" class="bg-gray-200 appearance-none border-2 border-gray-200 rounded w-full py-2 px-4 text-gray-700 leading-tight focus:outline-none focus:bg-white <?= error('premier_chien') ? 'border-red-500' : ''; ?>" placeholder="<?= __('premier_chien'); ?>">
                <?php if(error('premier_chien')): ?>
                    <p class="text-red-500 text-xs italic"><?= error('premier_chien'); ?></p>
                <?php endif; ?>
            </div>
        </div>
        <div class="md:flex md:items-center mb-6">
            <div class="md:w-1/3">
                <label for="premier_amour" class="block text-gray-500 font-bold md:text-right mb-1 md:mb-0 pr-4">
                    <?= __('premier_amour'); ?>
                </label>
            </div>
            <div class="md:w-2/3">
                <input type="text" name="premier_amour" id="premier_amour" value="<?= old('premier_amour'); ?>" class="bg-gray-200 appearance-none border-2 border-gray-200 rounded w-full py-2 px-4 text-gray-700 leading-tight focus:outline-none focus:bg-white <?= error('premier_amour') ? 'border-red-500' : ''; ?>" placeholder="<?= __('premier_amour'); ?>">
                <?php if(error('premier_amour')): ?>
                    <p class="text-red-500 text-xs italic"><?= error('premier_amour'); ?></p>
                <?php endif; ?>
            </div>
        </div>
        <div class="md:flex md:items-center mb-6">
            <div class="md:w-1/3">
                <label for="plat_prefere" class="block text-gray-500 font-bold md:text-right mb-1 md:mb-0 pr-4">
                    <?= __('plat_prefere'); ?>
                </label>
            </div>
            <div class="md:w-2/3">
                <input type="text" name="plat_prefere" id="plat_prefere" value="<?= old('plat_prefere'); ?>" class="bg-gray-200 appearance-none border-2 border-gray-200 rounded w-full py-2 px-4 text-gray-700 leading-tight focus:outline-none focus:bg-white <?= error('plat_prefere') ? 'border-red-500' : ''; ?>" placeholder="<?= __('plat_prefere'); ?>">
                <?php if(error('plat_prefere')): ?>
                    <p class="text-red-500 text-xs italic"><?= error('plat_prefere'); ?></p>
                <?php endif; ?>
            </div>
        </div>
        <div class="md:flex md:items-center mb-6">
            <div class="md:w-1/3">
                <label for="film_prefere" class="block text-gray-500 font-bold md:text-right mb-1 md:mb-0 pr-4">
                    <?= __('film_prefere'); ?>
                </label>
            </div>
            <div class="md:w-2/3">
                <input type="text" name="film_prefere" id="film_prefere" value="<?= old('film_prefere'); ?>" class="bg-gray-200 appearance-none border-2 border-gray-200 rounded w-full py-2 px-4 text-gray-700 leading-tight focus:outline-none focus:bg-white <?= error('film_prefere') ? 'border-red-500' : ''; ?>" placeholder="<?= __('film_prefere'); ?>">
                <?php if(error('film_prefere')): ?>
                    <p class="text-red-500 text-xs italic"><?= error('film_prefere'); ?></p>
                <?php endif; ?>
            </div>
        </div>
        <div class="md:flex md:items-center mb-6">
            <div class="md:w-1/3">
                <label for="frere_jumeau" class="block text-gray-500 font-bold md:text-right mb-1 md:mb-0 pr-4">
                    <?= __('frere_jumeau'); ?>
                </label>
            </div>
            <div class="md:w-2/3">
                <input type="text" name="frere_jumeau" id="frere_jumeau" value="<?= old('frere_jumeau'); ?>" class="bg-gray-200 appearance-none border-2 border-gray-200 rounded w-full py-2 px-4 text-gray-700 leading-tight focus:outline-none focus:bg-white <?= error('frere_jumeau') ? 'border-red-500' : ''; ?>" placeholder="<?= __('frere_jumeau'); ?>">
                <?php if(error('frere_jumeau')): ?>
                    <p class="text-red-500 text-xs italic"><?= error('frere_jumeau'); ?></p>
                <?php endif; ?>
            </div>
        </div>
        <div class="md:flex md:items-center">
            <div class="md:w-1/3"></div>
            <div class="md:w-2/3">
                <button type="submit" class="shadow bg-blue-500 hover:bg-blue-400 focus:shadow-outline focus:outline-none text-white font-bold py-2 px-4 rounded">
                    <?= __('next'); ?>
                </button>
            </div>
        </div>
    </form>
<?php View::end(); ?>