<?php
use Core\View;

// On définit le layout à utiliser
View::layout("layouts.master");
// On définit le titre de la page (afficher dans le layout à l'emplacement "title")
View::set('title',  __('register'));
?>

<?php View::start("main"); ?>

    <!-- Step 2 : Information de connexion -->
    <!-- Question 1: Quel est votre nom complet -->
    <!-- Question 1: Quel est votre email -->
    <!-- Question 2: Quel est votre mot de passe -->
    <!-- Question 3: Confirmez votre mot de passe -->

    <!-- Explication -->
    <div class="text-center">
        <h1 class="text-3xl mb-2"><?= __('register'); ?></h1>
        <p class="text-gray-500 mb-2"><?= __('register_step'.$step.'_explanation'); ?></p>
    </div>

    <!-- Form -->
    <form method="post" action="<?= route('register.post'); ?>" class="w-full max-w-sm mx-auto mt-10">
        <input type="hidden" name="step" value="<?= $step; ?>">
        <div class="md:flex md:items-center mb-6">
            <div class="md:w-1/3">
                <label for="username" class="block text-gray-500 font-bold md:text-right mb-1 md:mb-0 pr-4">
                    <?= __('username'); ?>
                </label>
            </div>
            <div class="md:w-2/3">
                <input type="text" name="username" id="username" value="<?= old('username'); ?>" class="bg-gray-200 appearance-none border-2 border-gray-200 rounded w-full py-2 px-4 text-gray-700 leading-tight focus:outline-none focus:bg-white <?= error('username') ? 'border-red-500' : ''; ?>" placeholder="<?= __('username'); ?>">
                <?php if(error('username')): ?>
                    <p class="text-red-500 text-xs italic"><?= error('username'); ?></p>
                <?php endif; ?>
            </div>
        </div>
        <div class="md:flex md:items-center mb-6">
            <div class="md:w-1/3">
                <label for="email" class="block text-gray-500 font-bold md:text-right mb-1 md:mb-0 pr-4">
                    <?= __('email'); ?>
                </label>
            </div>
            <div class="md:w-2/3">
                <input type="email" name="email" id="email" value="<?= old('email'); ?>" class="bg-gray-200 appearance-none border-2 border-gray-200 rounded w-full py-2 px-4 text-gray-700 leading-tight focus:outline-none focus:bg-white <?= error('email') ? 'border-red-500' : ''; ?>" placeholder="<?= __('email'); ?>">
                <?php if(error('email')): ?>
                    <p class="text-red-500 text-xs italic"><?= error('email'); ?></p>
                <?php endif; ?>
            </div>
        </div>
        <div class="md:flex md:items-center mb-6">
            <div class="md:w-1/3">
                <label for="password" class="block text-gray-500 font-bold md:text-right mb-1 md:mb-0 pr-4">
                    <?= __('password'); ?>
                </label>
            </div>
            <div class="md:w-2/3">
                <input type="password" name="password" id="password" value="<?= old('password'); ?>" class="bg-gray-200 appearance-none border-2 border-gray-200 rounded w-full py-2 px-4 text-gray-700 leading-tight focus:outline-none focus:bg-white <?= error('password') ? 'border-red-500' : ''; ?>" placeholder="<?= __('password'); ?>">
                <?php if(error('password')): ?>
                    <p class="text-red-500 text-xs italic"><?= error('password'); ?></p>
                <?php endif; ?>
            </div>
        </div>
        <div class="md:flex md:items-center mb-6">
            <div class="md:w-1/3">
                <label for="password_confirmation" class="block text-gray-500 font-bold md:text-right mb-1 md:mb-0 pr-4">
                    <?= __('password_confirmation'); ?>
                </label>
            </div>
            <div class="md:w-2/3">
                <input type="password" name="password_confirmation" id="password_confirmation" value="<?= old('password_confirmation'); ?>" class="bg-gray-200 appearance-none border-2 border-gray-200 rounded w-full py-2 px-4 text-gray-700 leading-tight focus:outline-none focus:bg-white <?= error('password_confirmation') ? 'border-red-500' : ''; ?>" placeholder="<?= __('password_confirmation'); ?>">
                <?php if(error('password_confirmation')): ?>
                    <p class="text-red-500 text-xs italic"><?= error('password_confirmation'); ?></p>
                <?php endif; ?>
            </div>
        </div>
        <div class="md:flex md:items-center">
            <div class="md:w-1/3"></div>
            <div class="md:w-2/3">
                <button type="submit" class="shadow bg-blue-500 hover:bg-blue-400 focus:shadow-outline focus:outline-none text-white font-bold py-2 px-4 rounded">
                    <?= __('register'); ?>
                </button>
            </div>
        </div>
    </form>

<?php View::end(); ?>