<?php

use Core\Router;
use Middlewares\AuthMiddleware;

Router::get('/', 'HomeController', 'welcome', 'welcome');

Router::prefix('/assistant');
    Router::prefix('/', [AuthMiddleware::class]);

        // Home
        Router::get('/', 'HomeController', 'index', 'home');

        // Chat
        Router::post('/chat', 'ChatController', 'store', 'chat.store');
        
    Router::endPrefix();
        
        
    // Lang selection
    Router::get('/lang/{lang}', 'HomeController', 'setLang');

    // Auth
    Router::get('/login', 'Auth\LoginController', 'index', 'login.index');
    Router::post('/login', 'Auth\LoginController', 'login', 'login.post');
    Router::get('/logout', 'Auth\LoginController', 'logout', 'logout');

    Router::get('/register', 'Auth\RegisterController', 'index', 'register.index');
    Router::post('/register', 'Auth\RegisterController', 'register', 'register.post');
Router::endPrefix();